streamWrapper::stream_eof
streamWrapper::stream_lock
streamWrapper
PHP Manual

# streamWrapper::stream_flush

Flushes the output

### Description

public bool streamWrapper::stream_flush ( void )

This method is called in response to fflush.

If you have cached data in your stream but not yet stored it into the underlying storage, you should do so now.

### Parameters

This function has no parameters.

### Return Values

Should return `TRUE` if the cached data was successfully stored (or if there was no data to store), or `FALSE` if the data could not be stored.

### Notes

> Note:

> If not implemented, `FALSE` is assumed as the return value.

### See Also

- fflush